Bug 171889 - %doc dir have wrong permission and you can't cd into
%doc dir have wrong permission and you can't cd into
Status: CLOSED RAWHIDE
Product: Fedora
Classification: Fedora
Component: sharutils (Show other bugs)
rawhide
All Linux
medium Severity medium
: ---
: ---
Assigned To: Ngo Than
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2005-10-27 10:40 EDT by Marcin Garski
Modified: 2007-11-30 17:11 EST (History)
0 users

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2005-11-03 12:27:40 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
Fix doc dir perrmision (611 bytes, patch)
2005-10-27 10:40 EDT, Marcin Garski
no flags Details | Diff

  None (edit)
Description Marcin Garski 2005-10-27 10:40:47 EDT
In sharutils-4.6-1 spec file there is:
%attr(644,root,root) %doc AUTHORS ChangeLog COPYING NEWS README THANKS TODO

So it change permission of doc directory to 644 (rw-r--r--), so users can't cd
to that directory.

I've attached patch that fix this bug.
Comment 1 Marcin Garski 2005-10-27 10:40:47 EDT
Created attachment 120465 [details]
Fix doc dir perrmision
Comment 2 Ngo Than 2005-11-03 12:27:40 EST
it's fixed in 4.6-2. Many thanks for your report. 

Note You need to log in before you can comment on or make changes to this bug.